﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Text;

public partial class HTTPResponse : System.Web.UI.Page
{
    public void Page_Load(object sender, EventArgs e)
    {
        int iDataId = 0;
        try
        {
            if(Request.QueryString["dataid"].Contains("x"))
                iDataId = Convert.ToInt32(Request.QueryString["dataid"].Substring(0, Request.QueryString["dataid"].IndexOf("x")));
            else
                iDataId = Convert.ToInt32(Request.QueryString["dataid"]);
        }
        catch
        {
            return;
        }

        //Get xml configuration file from "datalayer"
        string sResponse = GetXMLString(iDataId);
        
        ////Save string to the hard disk for control.
        //System.IO.StreamWriter streamWriter = new System.IO.StreamWriter(@"c:\3dcarouselv1.xml");
        //streamWriter.Write(sResponse);
        //streamWriter.Close();

        //Write the XML to the HTTP output stream
        //=> back to the Stack Animation
        Response.Write(sResponse);  

    }

    /// <summary>
    /// This function provides to the Stack the requested XML configuration file as a string.
    /// </summary>
    /// <param name="iDataId">Dummy</param>
    public string GetXMLString(int iDataId)
    {
        //select dynamic data from datalayer here ...
        //e.g. DataLayer.GetData(iDataId)

        //-------------------------------------------------------------------------------------
        //Hardcoded sample !!!!
        //-------------------------------------------------------------------------------------

        int     iCarouselRadiusX = 250;
        int     iCarouselRadiusY = 20;
        int     iCarouselPerspective = 10;
        int     iCarouselCenterLeft = 0;
        int     iCarouselCenterTop = 0;
        int     iCarouselSpeed = 5;
        int     iCarouselSpeedMax = 10;
        int     iCarouselRandomImages = 0;
        string  sCarouselPreloader = "";

        string  sBackGroundImagePath = "images/background.jpg";
        int     iBackGroundImageLeft = 0;
        int     iBackGroundImageTop = 0;
        string  sBackGroundColor = "#ffffff";
        
        string  sNavigationType = "auto";
        string  sNavigationButtonsColor = "#ff0000";
        int     iNavigationButtonsAlpha = 75;
        int     iNavigationButtonLeftLeft = 0;
        int     iNavigationButtonLeftTop = 0;
        string  sNavigationButtonLeftPath = "";
        int     iNavigationButtonRightLeft = 0;
        int     iNavigationButtonRightTop = 0;
        string  sNavigationButtonRightPath = "";
        int     iNavigationInitialRotation = 0;
        
        bool    fReflectionVisible = true;
        int     iReflectionAlpha = 50;
        int     iReflectionHeight = 40;
        int     iReflectionDistance = 0;

        bool    fToolTipVisible = true;
        bool    fToolTipHTML = false;
        bool    fToolTipAntiAliasing = false;
        string  sToolTipAlign = "left";
        bool    fToolTipBold = true;
        string  sToolTipFont = "Verdana";
        string  sToolTipFontColor = "#dddddd";
        int     iToolTipFontSize = 14;
        int     iToolTipLeading = 0;
        bool    fToolTipUnderline = false;
        int     iToolTipDefaultTop = 0;
        int     iToolTipHeight = 50;
        int     iToolTipWidth = 200;
        string  sToolTipBgColor = "";
        bool    fToolTipBorder = false;
        string  sToolTipBorderColor = "";
        int     iToolTipAlpha = 100;
        
        
        bool    fFrameVisible = false;
        int     iFrameDistance = 10;
        int     iFrameBorderWidth= 3;
        string  sFrameBorderColor = "#00ff00";
        int     iFrameBorderAlpha = 50;
        string  sFrameFillColor1 = "#ff0000";
        string  sFrameFillColor2 = "#0000ff";
        int     iFrameFillAlpha1 = 50;
        int     iFrameFillAlpha2 = 50;
        int     iFrameFillTransition = 100;
        int     iFrameFillRotation = 0;

        bool    fDetailPageEnabled = true;
        int     iDetailImageLeft = 50;
        int     iDetailImageTop = 100;

        bool    fContent1HTML = false;
        bool    fContent1AntiAliasing = false;
        string  sContent1Align = "left";
        bool    fContent1Bold = false;
        string  sContent1Font = "Verdana";
        string  sContent1FontColor = "#dddddd";
        int     iContent1FontSize = 11;
        int     iContent1Leading = 0;
        bool    fContent1Underline = false;
        int     iContent1Left = 250;
        int     iContent1Top = 60;
        int     iContent1Width = 250;
        int     iContent1Height = 90;
        string  sContent1BgColor = "";
        bool    fContent1Border = false;
        string  sContent1BorderColor = "";
        int     iContent1Alpha = 100;
        bool    fContent1Selectable = false;

        bool    fContent2HTML = false;
        bool    fContent2AntiAliasing = false;
        string  sContent2Align = "left";
        bool    fContent2Bold = false;
        string  sContent2Font = "Verdana";
        string  sContent2FontColor = "#dddddd";
        int     iContent2FontSize = 11;
        int     iContent2Leading = 0;
        bool    fContent2Underline = false;
        int     iContent2Left = 250;
        int     iContent2Top = 160;
        int     iContent2Width = 250;
        int     iContent2Height = 90;
        string  sContent2BgColor = "";
        bool    fContent2Border = false;
        string  sContent2BorderColor = "";
        int     iContent2Alpha = 100;
        bool    fContent2Selectable = false;

        string  sContent3 = "Content 3 (static)";
        bool    fContent3HTML = false;
        bool    fContent3AntiAliasing = false;
        string  sContent3Align = "left";
        bool    fContent3Bold = false;
        string  sContent3Font = "Verdana";
        string  sContent3FontColor = "#dddddd";
        int     iContent3FontSize = 11;
        int     iContent3Leading = 0;
        bool    fContent3Underline = false;
        int     iContent3Left = 250;
        int     iContent3Top = 10;
        int     iContent3Width = 120;
        int     iContent3Height = 30;
        string  sContent3BgColor = "";
        bool    fContent3Border = false;
        string  sContent3BorderColor = "";
        int     iContent3Alpha = 100;
        bool    fContent3Selectable = false;
        bool    fContent3TopMost = false;
        bool    fContent3VisibleOnAnimationPage = true;
        bool    fContent3VisibleOnDetailPage = true;

        string  sContent4 = "Content 4 (static)";
        bool    fContent4HTML = false;
        bool    fContent4AntiAliasing = false;
        string  sContent4Align = "left";
        bool    fContent4Bold = false;
        string  sContent4Font = "Verdana";
        string  sContent4FontColor = "#dddddd";
        int     iContent4FontSize = 11;
        int     iContent4Leading = 0;
        bool    fContent4Underline = false;
        int     iContent4Left = 380;
        int     iContent4Top = 10;
        int     iContent4Width = 120;
        int     iContent4Height = 30;
        string  sContent4BgColor = "";
        bool    fContent4Border = false;
        string  sContent4BorderColor = "";
        int     iContent4Alpha = 100;
        bool    fContent4Selectable = false;
        bool    fContent4TopMost = true;
        bool    fContent4VisibleOnAnimationPage = true;
        bool    fContent4VisibleOnDetailPage = true;

        string  sJSImageMouseOverFunctionName = String.Empty;
        string  sJSImageMouseOutFunctionName = String.Empty;
        string  sJSImageClickedFunctionName = String.Empty;
        string  sJSDetailPageLoadedFunctionName = String.Empty;
        string  sJSDetailImageClickedFunctionName = String.Empty;
        string  sJSDetailPageClosedFunctionName = String.Empty;
        string  sJSAnimationLoadedFunctionName = String.Empty;



        StringBuilder sb = new StringBuilder();
        sb.Append(@"<?xml version=""1.0"" encoding=""utf-8"" ?>");
        sb.Append(@"<DDDCarousel><Images ");

        sb.Append(@"CarouselRadiusX=""");           sb.Append(iCarouselRadiusX);            sb.Append(@""" ");
        sb.Append(@"CarouselRadiusY=""");           sb.Append(iCarouselRadiusY);            sb.Append(@""" ");
        sb.Append(@"CarouselPerspective=""");       sb.Append(iCarouselPerspective);        sb.Append(@""" ");
        sb.Append(@"CarouselCenterLeft=""");        sb.Append(iCarouselCenterLeft);         sb.Append(@""" ");
        sb.Append(@"CarouselCenterTop=""");         sb.Append(iCarouselCenterTop);          sb.Append(@""" ");
        sb.Append(@"CarouselSpeed=""");             sb.Append(iCarouselSpeed);              sb.Append(@""" ");
        sb.Append(@"CarouselSpeedMax=""");          sb.Append(iCarouselSpeedMax);           sb.Append(@""" ");
        sb.Append(@"CarouselRandomImages=""");      sb.Append(iCarouselRandomImages);       sb.Append(@""" ");
        sb.Append(@"CarouselPreloader=""");         sb.Append(sCarouselPreloader);          sb.Append(@""" ");

        sb.Append(@"BackGroundImagePath=""");       sb.Append(sBackGroundImagePath);        sb.Append(@""" ");
        sb.Append(@"BackGroundImageLeft=""");       sb.Append(iBackGroundImageLeft);        sb.Append(@""" ");
        sb.Append(@"BackGroundImageTop=""");        sb.Append(iBackGroundImageTop);         sb.Append(@""" ");
        sb.Append(@"BackGroundColor=""");           sb.Append(sBackGroundColor);            sb.Append(@""" ");

        sb.Append(@"NavigationType=""");            sb.Append(sNavigationType);             sb.Append(@""" ");
        sb.Append(@"NavigationButtonsColor=""");    sb.Append(sNavigationButtonsColor);     sb.Append(@""" ");
        sb.Append(@"NavigationButtonsAlpha=""");    sb.Append(iNavigationButtonsAlpha);     sb.Append(@""" ");
        sb.Append(@"NavigationButtonLeftLeft=""");  sb.Append(iNavigationButtonLeftLeft);   sb.Append(@""" ");
        sb.Append(@"NavigationButtonLeftTop=""");   sb.Append(iNavigationButtonLeftTop);    sb.Append(@""" ");
        sb.Append(@"NavigationButtonLeftPath=""");  sb.Append(sNavigationButtonLeftPath);   sb.Append(@""" ");
        sb.Append(@"NavigationButtonRightLeft="""); sb.Append(iNavigationButtonRightLeft);  sb.Append(@""" ");
        sb.Append(@"NavigationButtonRightTop=""");  sb.Append(iNavigationButtonRightTop);   sb.Append(@""" ");
        sb.Append(@"NavigationButtonRightPath="""); sb.Append(sNavigationButtonRightPath);  sb.Append(@""" ");
        sb.Append(@"NavigationInitialRotation="""); sb.Append(iNavigationInitialRotation);  sb.Append(@""" ");

        sb.Append(@"ReflectionVisible=""");         sb.Append(fReflectionVisible);          sb.Append(@""" ");
        sb.Append(@"ReflectionAlpha=""");           sb.Append(iReflectionAlpha);            sb.Append(@""" ");
        sb.Append(@"ReflectionHeight=""");          sb.Append(iReflectionHeight);           sb.Append(@""" ");
        sb.Append(@"ReflectionDistance=""");        sb.Append(iReflectionDistance);         sb.Append(@""" ");

        sb.Append(@"ToolTipVisible=""");            sb.Append(fToolTipVisible);             sb.Append(@""" ");
        sb.Append(@"ToolTipAlign=""");              sb.Append(sToolTipAlign);               sb.Append(@""" ");
        sb.Append(@"ToolTipBold=""");               sb.Append(fToolTipBold);                sb.Append(@""" ");
        sb.Append(@"ToolTipAntiAliasing=""");       sb.Append(fToolTipAntiAliasing);        sb.Append(@""" ");
        sb.Append(@"ToolTipFont=""");               sb.Append(sToolTipFont);                sb.Append(@""" ");
        sb.Append(@"ToolTipFontColor=""");          sb.Append(sToolTipFontColor);           sb.Append(@""" ");
        sb.Append(@"ToolTipFontSize=""");           sb.Append(iToolTipFontSize);            sb.Append(@""" ");
        sb.Append(@"ToolTipHTML=""");               sb.Append(fToolTipHTML);                sb.Append(@""" ");
        sb.Append(@"ToolTipLeading=""");            sb.Append(iToolTipLeading);             sb.Append(@""" ");
        sb.Append(@"ToolTipUnderline=""");          sb.Append(fToolTipUnderline);           sb.Append(@""" ");
        sb.Append(@"ToolTipDefaultTop=""");         sb.Append(iToolTipDefaultTop);          sb.Append(@""" ");
        sb.Append(@"ToolTipWidth=""");              sb.Append(iToolTipWidth);               sb.Append(@""" ");
        sb.Append(@"ToolTipHeight=""");             sb.Append(iToolTipHeight);              sb.Append(@""" ");
        sb.Append(@"ToolTipBgColor=""");            sb.Append(sToolTipBgColor);             sb.Append(@""" ");
        sb.Append(@"ToolTipBorder=""");             sb.Append(fToolTipBorder);              sb.Append(@""" ");
        sb.Append(@"ToolTipBorderColor=""");        sb.Append(sToolTipBorderColor);         sb.Append(@""" ");
        sb.Append(@"ToolTipAlpha=""");              sb.Append(iToolTipAlpha);               sb.Append(@""" ");

        sb.Append(@"FrameVisible=""");              sb.Append(fFrameVisible);               sb.Append(@""" ");
        sb.Append(@"FrameDistance=""");             sb.Append(iFrameDistance);              sb.Append(@""" ");
        sb.Append(@"FrameBorderWidth=""");          sb.Append(iFrameBorderWidth);           sb.Append(@""" ");
        sb.Append(@"FrameBorderColor=""");          sb.Append(sFrameBorderColor);           sb.Append(@""" ");
        sb.Append(@"FrameBorderAlpha=""");          sb.Append(iFrameBorderAlpha);           sb.Append(@""" ");
        sb.Append(@"FrameFillColor1=""");           sb.Append(sFrameFillColor1);            sb.Append(@""" ");
        sb.Append(@"FrameFillColor2=""");           sb.Append(sFrameFillColor2);            sb.Append(@""" ");
        sb.Append(@"FrameFillAlpha1=""");           sb.Append(iFrameFillAlpha1);            sb.Append(@""" ");
        sb.Append(@"FrameFillAlpha2=""");           sb.Append(iFrameFillAlpha2);            sb.Append(@""" ");
        sb.Append(@"FrameFillTransition=""");       sb.Append(iFrameFillTransition);        sb.Append(@""" ");
        sb.Append(@"FrameFillRotation=""");         sb.Append(iFrameFillRotation);          sb.Append(@""" ");

        sb.Append(@"DetailPageEnabled=""");         sb.Append(fDetailPageEnabled);          sb.Append(@""" ");
        sb.Append(@"DetailImageLeft=""");           sb.Append(iDetailImageLeft);            sb.Append(@""" ");
        sb.Append(@"DetailImageTop=""");            sb.Append(iDetailImageTop);             sb.Append(@""" ");

        sb.Append(@"Content1HTML=""");              sb.Append(fContent1HTML);               sb.Append(@""" ");
        sb.Append(@"Content1AntiAliasing=""");      sb.Append(fContent1AntiAliasing);       sb.Append(@""" ");
        sb.Append(@"Content1Align=""");             sb.Append(sContent1Align);              sb.Append(@""" ");
        sb.Append(@"Content1Bold=""");              sb.Append(fContent1Bold);               sb.Append(@""" ");
        sb.Append(@"Content1Font=""");              sb.Append(sContent1Font);               sb.Append(@""" ");
        sb.Append(@"Content1FontColor=""");         sb.Append(sContent1FontColor);          sb.Append(@""" ");
        sb.Append(@"Content1FontSize=""");          sb.Append(iContent1FontSize);           sb.Append(@""" ");
        sb.Append(@"Content1Leading=""");           sb.Append(iContent1Leading);            sb.Append(@""" ");
        sb.Append(@"Content1Underline=""");         sb.Append(fContent1Underline);          sb.Append(@""" ");
        sb.Append(@"Content1Left=""");              sb.Append(iContent1Left);               sb.Append(@""" ");
        sb.Append(@"Content1Top=""");               sb.Append(iContent1Top);                sb.Append(@""" ");
        sb.Append(@"Content1Width=""");             sb.Append(iContent1Width);              sb.Append(@""" ");
        sb.Append(@"Content1Height=""");            sb.Append(iContent1Height);             sb.Append(@""" ");
        sb.Append(@"Content1BgColor=""");           sb.Append(sContent1BgColor);            sb.Append(@""" ");
        sb.Append(@"Content1Border=""");            sb.Append(fContent1Border);             sb.Append(@""" ");
        sb.Append(@"Content1BorderColor=""");       sb.Append(sContent1BorderColor);        sb.Append(@""" ");
        sb.Append(@"Content1Alpha=""");             sb.Append(iContent1Alpha);              sb.Append(@""" ");
        sb.Append(@"Content1Selectable=""");        sb.Append(fContent1Selectable);         sb.Append(@""" ");

        sb.Append(@"Content2HTML=""");              sb.Append(fContent2HTML);               sb.Append(@""" ");
        sb.Append(@"Content2AntiAliasing=""");      sb.Append(fContent2AntiAliasing);       sb.Append(@""" ");
        sb.Append(@"Content2Align=""");             sb.Append(sContent2Align);              sb.Append(@""" ");
        sb.Append(@"Content2Bold=""");              sb.Append(fContent2Bold);               sb.Append(@""" ");
        sb.Append(@"Content2Font=""");              sb.Append(sContent2Font);               sb.Append(@""" ");
        sb.Append(@"Content2FontColor=""");         sb.Append(sContent2FontColor);          sb.Append(@""" ");
        sb.Append(@"Content2FontSize=""");          sb.Append(iContent2FontSize);           sb.Append(@""" ");
        sb.Append(@"Content2Leading=""");           sb.Append(iContent2Leading);            sb.Append(@""" ");
        sb.Append(@"Content2Underline=""");         sb.Append(fContent2Underline);          sb.Append(@""" ");
        sb.Append(@"Content2Left=""");              sb.Append(iContent2Left);               sb.Append(@""" ");
        sb.Append(@"Content2Top=""");               sb.Append(iContent2Top);                sb.Append(@""" ");
        sb.Append(@"Content2Width=""");             sb.Append(iContent2Width);              sb.Append(@""" ");
        sb.Append(@"Content2Height=""");            sb.Append(iContent2Height);             sb.Append(@""" ");
        sb.Append(@"Content2BgColor=""");           sb.Append(sContent2BgColor);            sb.Append(@""" ");
        sb.Append(@"Content2Border=""");            sb.Append(fContent2Border);             sb.Append(@""" ");
        sb.Append(@"Content2BorderColor=""");       sb.Append(sContent2BorderColor);        sb.Append(@""" ");
        sb.Append(@"Content2Alpha=""");             sb.Append(iContent2Alpha);              sb.Append(@""" ");
        sb.Append(@"Content2Selectable=""");        sb.Append(fContent2Selectable);         sb.Append(@""" ");

        sb.Append(@"JSImageMouseOverFunctionName=""");      sb.Append(sJSImageMouseOverFunctionName);       sb.Append(@""" ");
        sb.Append(@"JSImageMouseOutFunctionName=""");       sb.Append(sJSImageMouseOutFunctionName);        sb.Append(@""" ");
        sb.Append(@"JSImageClickedFunctionName=""");        sb.Append(sJSImageClickedFunctionName);         sb.Append(@""" ");
        sb.Append(@"JSDetailPageLoadedFunctionName=""");    sb.Append(sJSDetailPageLoadedFunctionName);     sb.Append(@""" ");
        sb.Append(@"JSDetailImageClickedFunctionName=""");  sb.Append(sJSDetailImageClickedFunctionName);   sb.Append(@""" ");
        sb.Append(@"JSDetailPageClosedFunctionName=""");    sb.Append(sJSDetailPageClosedFunctionName);     sb.Append(@""" ");
        sb.Append(@"JSAnimationLoadedFunctionName=""");     sb.Append(sJSAnimationLoadedFunctionName);      sb.Append(@""" ");

        sb.Append(@">");
      
        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img01.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 01]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Carousel Image 01  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Carousel Image 01  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img02.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 02]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Carousel Image 02  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Carousel Image 02  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img03.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 03]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Carousel Image 03  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Carousel Image 03  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img04.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 04]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Carousel Image 04  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Carousel Image 04  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img05.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 05]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Carousel Image 05  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Carousel Image 05  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img06.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 06]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Carousel Image 06  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Carousel Image 06  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img07.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 07]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Carousel Image 07  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Carousel Image 07  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img08.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 08]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Carousel Image 08  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Carousel Image 08  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"<Image>");
        sb.Append(@"<Visible><![CDATA[true]]></Visible>");
        sb.Append(@"<ImagePath><![CDATA[images/img09.jpg]]></ImagePath>");
        sb.Append(@"<ImageLink><![CDATA[]]></ImageLink>");
        sb.Append(@"<ImageLinkTarget><![CDATA[blank]]></ImageLinkTarget>");
        sb.Append(@"<ToolTip><![CDATA[Tooltip Image 09]]></ToolTip>");
        sb.Append(@"<Content1><![CDATA[Content1 (dynamic) - Carousel Image 09  Click Image To Return!]]></Content1>");
        sb.Append(@"<Content2><![CDATA[Content2 (dynamic) - Carousel Image 09  Click Image To Return!]]></Content2>");
        sb.Append(@"</Image>");

        sb.Append(@"</Images>");

        sb.Append(@"<StaticContents>");
        sb.Append(@"<StaticContent ");
        sb.Append(@"HTML=""");              sb.Append(fContent3HTML);           sb.Append(@""" ");
        sb.Append(@"AntiAliasing=""");      sb.Append(fContent3AntiAliasing);   sb.Append(@""" ");
        sb.Append(@"Align=""");             sb.Append(sContent3Align);          sb.Append(@""" ");
        sb.Append(@"Bold=""");              sb.Append(fContent3Bold);           sb.Append(@""" ");
        sb.Append(@"Font=""");              sb.Append(sContent3Font);           sb.Append(@""" ");
        sb.Append(@"FontColor=""");         sb.Append(sContent3FontColor);      sb.Append(@""" ");
        sb.Append(@"FontSize=""");          sb.Append(iContent3FontSize);       sb.Append(@""" ");
        sb.Append(@"Leading=""");           sb.Append(iContent3Leading);        sb.Append(@""" ");
        sb.Append(@"Underline=""");         sb.Append(fContent3Underline);      sb.Append(@""" ");
        sb.Append(@"Left=""");              sb.Append(iContent3Left);           sb.Append(@""" ");
        sb.Append(@"Top=""");               sb.Append(iContent3Top);            sb.Append(@""" ");
        sb.Append(@"Width=""");             sb.Append(iContent3Width);          sb.Append(@""" ");
        sb.Append(@"Height=""");            sb.Append(iContent3Height);         sb.Append(@""" ");
        sb.Append(@"BgColor=""");           sb.Append(sContent3BgColor);        sb.Append(@""" ");
        sb.Append(@"Border=""");            sb.Append(fContent3Border);         sb.Append(@""" ");
        sb.Append(@"BorderColor=""");       sb.Append(sContent3BorderColor);    sb.Append(@""" ");
        sb.Append(@"Alpha=""");             sb.Append(iContent3Alpha);          sb.Append(@""" ");
        sb.Append(@"Selectable=""");        sb.Append(fContent3Selectable);     sb.Append(@""" ");
        sb.Append(@"TopMost=""");           sb.Append(fContent3TopMost);        sb.Append(@""" ");
        sb.Append(@"VisibleOnAnimationPage=""");    sb.Append(fContent3VisibleOnAnimationPage); sb.Append(@""" ");
        sb.Append(@"VisibleOnDetailPage=""");       sb.Append(fContent3VisibleOnDetailPage);    sb.Append(@""" ");
        sb.Append(@">");
        sb.Append(@"<Content><![CDATA[");   sb.Append(sContent3);               sb.Append(@"]]></Content>");
        sb.Append(@"</StaticContent>");

        sb.Append(@"<StaticContent ");
        sb.Append(@"HTML=""");              sb.Append(fContent4HTML);           sb.Append(@""" ");
        sb.Append(@"AntiAliasing=""");      sb.Append(fContent4AntiAliasing);   sb.Append(@""" ");
        sb.Append(@"Align=""");             sb.Append(sContent4Align);          sb.Append(@""" ");
        sb.Append(@"Bold=""");              sb.Append(fContent4Bold);           sb.Append(@""" ");
        sb.Append(@"Font=""");              sb.Append(sContent4Font);           sb.Append(@""" ");
        sb.Append(@"FontColor=""");         sb.Append(sContent4FontColor);      sb.Append(@""" ");
        sb.Append(@"FontSize=""");          sb.Append(iContent4FontSize);       sb.Append(@""" ");
        sb.Append(@"Leading=""");           sb.Append(iContent4Leading);        sb.Append(@""" ");
        sb.Append(@"Underline=""");         sb.Append(fContent4Underline);      sb.Append(@""" ");
        sb.Append(@"Left=""");              sb.Append(iContent4Left);           sb.Append(@""" ");
        sb.Append(@"Top=""");               sb.Append(iContent4Top);            sb.Append(@""" ");
        sb.Append(@"Width=""");             sb.Append(iContent4Width);          sb.Append(@""" ");
        sb.Append(@"Height=""");            sb.Append(iContent4Height);         sb.Append(@""" ");
        sb.Append(@"BgColor=""");           sb.Append(sContent4BgColor);        sb.Append(@""" ");
        sb.Append(@"Border=""");            sb.Append(fContent4Border);         sb.Append(@""" ");
        sb.Append(@"BorderColor=""");       sb.Append(sContent4BorderColor);    sb.Append(@""" ");
        sb.Append(@"Alpha=""");             sb.Append(iContent4Alpha);          sb.Append(@""" ");
        sb.Append(@"Selectable=""");        sb.Append(fContent4Selectable);     sb.Append(@""" ");
        sb.Append(@"TopMost=""");           sb.Append(fContent4TopMost);        sb.Append(@""" ");
        sb.Append(@"VisibleOnAnimationPage=""");    sb.Append(fContent4VisibleOnAnimationPage); sb.Append(@""" ");
        sb.Append(@"VisibleOnDetailPage=""");       sb.Append(fContent4VisibleOnDetailPage);    sb.Append(@""" ");
        sb.Append(@">");
        sb.Append(@"<Content><![CDATA[");   sb.Append(sContent4);               sb.Append(@"]]></Content>");
        sb.Append(@"</StaticContent>");
        sb.Append(@"</StaticContents>");

        sb.Append(@"</DDDGalleryV2>");

        //Return the XML Configuration File
        return sb.ToString();
        
    }
}
